commit: e5b8bfac1bd3781c6b84cc778149d51150635403
Author: Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 28 11:04:52 2017 +0000
Commit: Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Sat Jan 28 11:05:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5b8bfac
dev-libs/softhsm: fix algo use
Package-Manager: portage-2.3.3
dev-libs/softhsm/softhsm-2.2.0-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-libs/softhsm/softhsm-2.2.0-r1.ebuild
b/dev-libs/softhsm/softhsm-2.2.0-r1.ebuild
index 8a91277..69ffb23 100644
--- a/dev-libs/softhsm/softhsm-2.2.0-r1.ebuild
+++ b/dev-libs/softhsm/softhsm-2.2.0-r1.ebuild
@@ -42,8 +42,8 @@ src_configure() {
--disable-static \
--with-crypto-backend=openssl \
--disable-p11-kit \
- $(use_enable bindist ecc) \
- $(use libressl && echo --disable-ghost) \
+ $(use bindist && echo --disable-ecc || echo --enable-ecc) \
+ $(use libressl && echo --disable-gost || echo --enable-gost) \
$(use_with migration-tool migrate)
}